# Delete an agent

**Step1: Prepare Your Request**

* **Endpoint:** `/agent`
* **Method:** `DELETE`
* **URL:** `https://api.talkstackai.com/agent`
* **Headers:** Include `Content-Type: application/json`.
* **Authorization:** Bearer token  or x-api-key in headers

**Step2: Create the Request Body**

* `projectId`: The id of the project in which the agent exists.
* `agentId`: The id of the agent whose details you want to delete.

```
{
    "projectId": "XXXXXXXXXXXXXXXXXXXXXXXXX",
    "agentId": "ZZZZZZZZZZZZZZZZZZZZZZZZZZZ"
}
```

**Step 3: Send the Request**

Use your preferred HTTP client to send the DELETE request with the JSON body.

**Step 4: Handle the request**

The response will show status of the deletion.

**Success Response:**

* **Status Code:** `200 OK`
* **Body:** The response includes details like name, projectId, systemInstruction, id, and phoneNumber.

```
{
    "message": "Agent Deleted",
    "status": "success"
}
```

**Troubleshooting**

* `400 Bad Request`: If the `projectId` or `agentId` is missing in the request.
* `404 Not Found`: If the agent is not found.
* `500 Internal Server Error`: For errors in updating the agent details.

Last updated 15 hours ago


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.talkstack.ai/agent/delete-an-agent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
